Financials
US Cash Flow
Call GET /us/financials/cash-flow-statements on the Corpus API.
GET /us/financials/cash-flow-statements
Call GET /us/financials/cash-flow-statements on the Corpus API.
Category: US · financials
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: us:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| ticker | query | yes | string | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 40; min 1; max 200 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/us/financials/cash-flow-statements?ticker=AAPL' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | CashFlowStatementsResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"cash_flow_statements": [
{
"ticker": "AAPL",
"report_period": "2025-12-31",
"fiscal_period": "FY",
"period": "annual",
"currency": "USD",
"accession_number": "0000320193-25-000079",
"filing_url": "https://corpus-api.onera.app",
"filing_date": "2025-12-31",
"filing_datetime": "2025-12-31T23:59:59Z",
"operating_cash_flow": 1,
"investing_cash_flow": 1,
"financing_cash_flow": 1,
"capital_expenditure": 1,
"dividends_paid": 1
}
],
"meta": {
"jurisdiction": "US",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}